xclade
Admin APITax rates

Get a Tax Rate

Retrieve a tax rate by its ID. You can expand the tax rate's relations or select the fields that should be returned.

GET
/admin/tax-rates/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string

The tax rate's ID.

Query Parameters

fields?string

Comma-separated fields that should be included in the returned data. if a field is prefixed with + it will be added to the default fields, using - will remove it from the default fields. without prefix it will replace the entire default fields.

Response Body

application/json

application/json

text/plain

application/json

application/json

application/json

application/json

curl -X GET "https://{tenant}.api.myxclade.com/admin/tax-rates/string"
{
  "tax_rate": {
    "id": "string",
    "rate": 10,
    "code": "string",
    "name": "string",
    "metadata": {},
    "tax_region_id": "string",
    "is_combinable": true,
    "is_default": true,
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "deleted_at": "2019-08-24T14:15:22Z",
    "created_by": "string",
    "tax_region": {
      "id": "string",
      "country_code": "us",
      "province_code": "us-ca",
      "metadata": {},
      "parent_id": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "deleted_at": "2019-08-24T14:15:22Z",
      "created_by": "string",
      "tax_rates": [
        {}
      ],
      "parent": {},
      "children": [
        {}
      ]
    },
    "rules": [
      {
        "reference": "product_type",
        "reference_id": "ptyp_1"
      }
    ]
  }
}

{
  "message": "Discount must be set to dynamic",
  "type": "not_allowed"
}

"Unauthorized"
{
  "message": "Entity with id 1 was not found",
  "type": "not_found"
}
{
  "code": "unknown_error",
  "message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
  "type": "QueryRunnerAlreadyReleasedError"
}
{
  "code": "invalid_request_error",
  "message": "Discount with code TEST already exists.",
  "type": "duplicate_error"
}

{
  "code": "api_error",
  "message": "An error occured while hashing password",
  "type": "database_error"
}